can‘t find gem cocoapods (>= 0.a) with executable pod (Gem::GemNotFoundException)

转载自:https://blog.csdn.net/develop_csdn/article/details/105053383

问题

Traceback (most recent call last):

2: from /usr/local/bin/pod:23:in `<main>'

1: from /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0/rubygems.rb:302:in `activate_bin_path'

/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0/rubygems.rb:283:in `find_spec_for_exe': can't find gem cocoapods (>= 0.a) with executable pod (Gem::GemNotFoundException)

 

解决方法

方法一

sudo gem update --system
gem install cocoapods

方法二

rvm get stable  
gem install cocoapods  

 

©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页